<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
//$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A4', true, 'UTF-8', false);	
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A5', true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('REPORTE DE VENTAS POR PRODUCTO');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->AddPage('L');

//$pdf->SetFont('Arial', 'BIU', 100);
mysql_query("TRUNCATE TABLE tabla_temporal_ventas_clientes",$link);

			$modelo=$_POST['cod_modelo']; 
			$fecha_actualxls=strip_tags($_POST['fecha_anticipo']);
			$fecha_actualxls2=strip_tags($_POST['fecha_anticipo2']);
		
			$consultar_modelo=mysql_query("select * from tabla_modelos where id='$modelo'",$link);
			$ver_consultar_modelo=mysql_fetch_array($consultar_modelo);	
			$nombre_modelo=$ver_consultar_modelo['nombre'];

										$consultas_ventasx1=mysql_query("select SUM(sub_total_dolares),cod_modelo,cod_marca,token,SUM(cantidad),SUM(total_factura_dolares),SUM(total_factura),fecha_registro,eliminar,cod_cliente from  tabla_factura_detalle_fact_xls where fecha_registro BETWEEN '$fecha_actualxls' AND '$fecha_actualxls2' and eliminar='0'   ",$link);
										$ver_consultas_ventasx1=mysql_fetch_array($consultas_ventasx1);
										$totla_ventas=$ver_consultas_ventasx1['SUM(total_factura_dolares)'];
										
								$consultar_sql_ver=mysql_query("select * from  tabla_clintes_xls where eliminar='0' ORDER BY descripcion ASC ",$link);
									while($ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver)){
										$id_control_cod_medida=$ver_consultar_sql_ver['cod_medida']; 
										$cod_clientex1=$ver_consultar_sql_ver['id'];
										
										$consultar_sql_ver_medida=mysql_query("select * from tabla_unidad_medida where id='$id_control_cod_medida'",$link);
										$ver_consultar_sql_ver_medida=mysql_fetch_array($consultar_sql_ver_medida);	
										$cod_producto=$ver_consultar_sql_ver['id'];
										$consultas_ventas=mysql_query("select SUM(sub_total_dolares),cod_modelo,cod_marca,token,SUM(cantidad),SUM(total_factura_dolares),SUM(total_factura),fecha_registro,eliminar,cod_cliente from  tabla_factura_detalle_fact_xls where cod_cliente='$cod_clientex1' and fecha_registro BETWEEN '$fecha_actualxls' AND '$fecha_actualxls2' and eliminar='0'   GROUP BY cod_cliente  ",$link);
										while($ver_consultas_ventas=mysql_fetch_array($consultas_ventas)){ 
										$cod_cliente=$ver_consultas_ventas['cod_cliente'];
										$control_id=$ver_consultas_ventas['token'];
										$cod_marca=$ver_consultas_ventas['cod_marca'];
										$cod_modelo=$ver_consultas_ventas['cod_modelo'];
										$cantidad=$ver_consultas_ventas['SUM(cantidad)'];
										$total_factura_dolares=$ver_consultas_ventas['SUM(total_factura_dolares)'];
	
										$consultar_cliente=mysql_query("select * from tabla_clintes_xls where id='$cod_cliente'",$link);
										$ver_consultar_cliente=mysql_fetch_array($consultar_cliente);
		
$porcentaje_ventas=	($total_factura_dolares*100)/$totla_ventas;		
mysql_query("INSERT INTO  tabla_temporal_ventas_clientes (rif,razon_social,monto,porcentaje) VALUES ('".$ver_consultar_cliente['rif']."','".$ver_consultar_cliente['descripcion']."','".$total_factura_dolares."','".$porcentaje_ventas."')",$link);


}
}										
										

$html1 ='

		<br>
		<table>
			<tr>
				<td><h3>AMANACU</h3></td>
			</tr>			
			<tr>
				<td><h3>REPORTE DE VENTAS POR PRODUCTOS - '.$nombre_modelo.'</h3></td>
			</tr>	
			<tr>
				<td><h3>FECHA EMISION: '.date('d/m/y - h:i:s A').' </h3></td>
			</tr>
			<tr>
				<td><h3>FECHA DE VENTA DESDE : '.$fecha_actualxls.' HASTA '.$fecha_actualxls2.' </h3></td>
			</tr>	
			<tr>
				<td><h3>TOTAL VENTAS : '.number_format($totla_ventas, 2, ',','.').' $ </h3></td>
			</tr>	
		</table>

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		<br>
		<table border="0" WIDTH="100%">
			<tr>
				<td WIDTH="20%">RIF</td>
				<td WIDTH="40%">CLIENTE</td>
				<td WIDTH="20%" style="text-align: right;">$.</td>
				<td WIDTH="20%" style="text-align: right;">% DE VENTA.</td>
			</tr>
		</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	';

	

$consultar_sql_ver=mysql_query("select * from  tabla_temporal_ventas_clientes ORDER BY porcentaje DESC ",$link);
while($ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver)){
											
	$i++;
	$html51[]='

	<table  border="0" WIDTH="100%">
	  <tr>
			<td WIDTH="20%">'.$ver_consultar_sql_ver['rif'].'</td>
			<td WIDTH="40%">'.$ver_consultar_sql_ver['razon_social'].'</td>
			<td WIDTH="20%" style="text-align: right;">'.number_format($ver_consultar_sql_ver['monto'], 2, ',','.').'</td>
			<td WIDTH="20%" style="text-align: right;">'.number_format($ver_consultar_sql_ver['porcentaje'], 2, ',','.').' %</td>
	  </tr> 
	</table>
	 '; 

}
							
					
$pdf->SetFont('freesans', '', 6);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln(1);
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->writeHTML($html5, true, 0, true, true);
$pdf->Ln(1); 
$pdf->Output('VENTAS_PRODUCTOS-FINANCIERO'.$n_factura.'.pdf', 'I');
?>